import request from '@/utils/request'

// 查询保健列表
export function listHealth(query) {
  return request({
    url: '/biosafety/health/list',
    method: 'get',
    params: query
  })
}

// 查询保健详细
export function getHealth(id) {
  return request({
    url: '/biosafety/health/' + id,
    method: 'get'
  })
}

// 新增保健
export function addHealth(data) {
  return request({
    url: '/biosafety/health',
    method: 'post',
    data: data
  })
}

// 修改保健
export function updateHealth(data) {
  return request({
    url: '/biosafety/health',
    method: 'put',
    data: data
  })
}

// 删除保健
export function delHealth(id) {
  return request({
    url: '/biosafety/health/' + id,
    method: 'delete'
  })
}
